[Testing Update] 2018-02-23 - Kernels, Systemd, Haskell, Python


#1

Hi community,

this is more or less a fix-up package since our last testing update we did on the 22th

  • We reverted all commits of non virtual FB drivers
  • We upgraded most of our Kernels
  • We updated Systemd
  • We added regular upstream updates like Haskell and Python

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.54
  • linux318 3.18.95 [EOL]
  • linux41 4.1.49
  • linux44 4.4.117
  • linux49 4.9.83
  • linux414 4.14.21
  • linux415 4.15.5
  • linux416 4.16-rc2
  • linux-RT-LTS 4.14.20_rt17
  • linux-RT 4.14.20_rt17

Package Updates (Fri Feb 23 21:51:08 CET 2018)

  • testing community x86_64: 141 new and 136 removed package(s)
  • testing core x86_64: 17 new and 17 removed package(s)
  • testing extra x86_64: 107 new and 107 removed package(s)
  • testing multilib x86_64: 3 new and 2 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-22           2018-02-23
-------------------------------------------------------------------------------
                         linux414-rt       4.14.18_rt15-2       4.14.20_rt17-1
               linux414-rt-acpi_call              1.1.0-5              1.1.0-6
                linux414-rt-bbswitch                0.8-5                0.8-6
             linux414-rt-broadcom-wl       6.30.223.271-5       6.30.223.271-6
                linux414-rt-catalyst      1:15.201.1151-5      1:15.201.1151-6
                 linux414-rt-headers       4.14.18_rt15-2       4.14.20_rt17-1
                  linux414-rt-nvidia           1:390.25-3           1:390.25-4
            linux414-rt-nvidia-304xx          1:304.137-5          1:304.137-6
            linux414-rt-nvidia-340xx            340.106-5            340.106-6
                linux414-rt-nvidiabl               0.88-5               0.88-6
                   linux414-rt-r8168           8.045.08-5           8.045.08-6
               linux414-rt-rt3562sta         2.4.1.1_r4-5         2.4.1.1_r4-6
                linux414-rt-tp_smapi               0.41-5               0.41-6
             linux414-rt-vhba-module           20161009-5           20161009-6
linux414-rt-virtualbox-guest-modules              5.2.6-5              5.2.6-6
 linux414-rt-virtualbox-host-modules              5.2.6-5              5.2.6-6
  gnome-shell-extension-appindicator                    -            17.10.2-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-22           2018-02-23
-------------------------------------------------------------------------------
                      acpi_call-dkms            1.1.0-105            1.1.0-106
                                atom             1.24.0-1             1.24.0-2
                             aws-cli            1.14.41-1            1.14.44-1
                       cabal-install           2.0.0.1-14           2.0.0.1-15
                             calibre             3.17.0-1             3.18.0-1
                               cgrep            6.6.22-21             6.6.23-1
                        coffeescript              2.2.1-1              2.2.2-1
                               darcs   2.12.5.20170909-31   2.12.5.20170909-33
                          displaycal            3.4.0.0-1            3.5.0.0-1
                              drupal              8.4.4-1              8.4.5-1
                            electron             1.7.12-3              1.8.2-1
                              eslint             4.18.0-1             4.18.1-1
                           filezilla             3.30.0-1             3.31.0-1
                              getdns              1.3.0-1              1.4.0-1
                           git-annex        6.20180112-72        6.20180112-74
                              gitlab             10.4.4-1             10.5.0-1
                       gitlab-runner             10.4.0-1             10.5.0-1
                haskell-authenticate             1.3.4-40             1.3.4-42
                         haskell-aws               0.19-7               0.19-9
                   haskell-criterion           1.3.0.0-19           1.3.0.0-20
                         haskell-dns              3.0.1-8              3.0.1-9
                      haskell-hakyll           4.11.0.0-3           4.11.0.0-6
                 haskell-hjsonschema             1.7.2-24             1.7.2-25
                        haskell-http          4000.3.9-13          4000.3.9-14
                haskell-http-conduit             2.2.4-38             2.2.4-40
                     haskell-iproute              1.7.1-9              1.7.2-1
                   haskell-js-jquery             3.3.1-10             3.3.1-11
              haskell-servant-server              0.12-52              0.12-53
                       haskell-shake             0.16.2-3             0.16.2-4
             haskell-storable-record            0.0.3.1-1              0.0.4-1
              haskell-storable-tuple            0.0.3.3-1            0.0.3.3-2
                      haskell-timeit            1.0.0.0-1                2.0-1
              haskell-wai-app-static          3.1.6.1-144          3.1.6.1-145
          haskell-wai-handler-launch           3.0.2.3-22           3.0.2.3-23
                        haskell-warp             3.2.16-5             3.2.17-1
                    haskell-warp-tls             3.2.4-54            3.2.4.2-1
                       haskell-yesod            1.4.5-193            1.4.5-194
                  haskell-yesod-auth            1.4.21-76            1.4.21-78
                  haskell-yesod-core          1.4.37.3-17          1.4.37.3-18
               haskell-yesod-default            1.2.0-254            1.2.0-255
                  haskell-yesod-form            1.4.16-88            1.4.16-89
            haskell-yesod-persistent             1.4.3-67             1.4.3-68
                haskell-yesod-static           1.5.3.1-87           1.5.3.1-88
                  haskell-yesod-test           1.5.9.1-49           1.5.9.1-50
                 haskell-zip-archive            0.3.2.3-1            0.3.2.4-1
                         hledger-api               1.5-63               1.5-64
                         hledger-web               1.5-63               1.5-65
                              hoogle             5.0.16-6             5.0.16-9
                               idris             1.2.0-30             1.2.0-31
                              iperf3                3.3-1                3.4-1
                             keybase             1.0.42-1             1.0.44-1
                        libfilezilla             0.12.0-1             0.12.1-1
                             librime            1:1.2.9-8           1:1.2.10-1
                         lua51-mpack              1.0.7-1              1.0.7-2
                 messengerfordesktop  2.0.9+42+g4e4d6f1-4  2.0.9+42+g4e4d6f1-5
                               minio         2017.11.22-3         2018.01.02-1
                              neovim              0.2.2-2              0.2.2-3
                              nodejs              9.5.0-2              9.6.1-1
                    nodejs-lts-boron             6.12.3-2             6.13.0-1
                               opera       51.0.2830.34-1       51.0.2830.40-1
                 opera-ffmpeg-codecs      64.0.3282.140-1      64.0.3282.168-1
                              pandoc              2.1.1-3              2.1.1-5
                     pandoc-citeproc           0.13.0.1-3           0.13.0.1-5
                     pandoc-crossref           0.3.0.1-38           0.3.0.1-40
                              parity              1.8.9-2             1.8.10-1
                    perl-xml-libxslt               1.95-4               1.96-1
                      perl-yaml-tiny               1.70-3               1.73-1
                         php-mongodb              1.4.0-1              1.4.1-1
                          phpmyadmin              4.7.7-2              4.7.8-1
                           postgrest           0.4.4.0-51           0.4.4.0-52
                            powerdns              4.1.0-3              4.1.1-1
                      python-aiohttp             2.3.10-2              3.0.1-1
                      python-alembic              0.9.7-1              0.9.8-1
                        python-boto3             1.5.31-1             1.5.34-1
                     python-botocore             1.8.45-1             1.8.48-1
                   python-cloudflare              1.8.1-1              2.0.4-1
                    python-filebytes             0.9.13-1             0.9.14-1
                 python-keyrings-alt              1:2.4-1              1:3.0-1
                 python-phonenumbers             8.8.11-1              8.9.0-1
                       python-pytest              3.4.0-1              3.4.1-1
                       python-scrypt              0.8.0-3              0.8.6-4
                  python-smartypants              2.0.0-2              2.0.1-1
                    python-softlayer              5.4.1-1              5.4.2-1
                   python-sqlalchemy              1.2.3-1              1.2.4-1
               python-text-unidecode                1.1-1                1.2-1
                      python-tornado              4.5.2-1              4.5.3-1
             python-websocket-client             0.46.0-1             0.47.0-1
                         python-yarl              1.1.0-1              1.1.1-1
                     python2-alembic              0.9.7-1              0.9.8-1
                  python2-cloudflare              1.8.1-1              2.0.4-1
                   python2-filebytes             0.9.13-1             0.9.14-1
                python2-keyrings-alt              1:2.4-1              1:3.0-1
                python2-phonenumbers             8.8.11-1              8.9.0-1
                      python2-pytest              3.4.0-1              3.4.1-1
                      python2-scrypt              0.8.0-3              0.8.6-4
                 python2-smartypants              2.0.0-2              2.0.1-1
                   python2-softlayer              5.4.1-1              5.4.2-1
                  python2-sqlalchemy              1.2.3-1              1.2.4-1
              python2-text-unidecode                1.1-1                1.2-1
                     python2-tornado              4.5.2-1              4.5.3-1
            python2-websocket-client             0.46.0-1             0.47.0-1
                                qcad           3.19.2.0-1           3.19.2.3-1
                            rabbitmq              3.7.3-1              3.7.3-2
                       rabbitmqadmin             3.6.14-1              3.7.3-1
                              ranger              1.9.0-1              1.9.1-1
                            ruby-ffi             1.9.21-1             1.9.22-1
                               s3cmd              2.0.1-1              2.0.1-2
                              scrypt              1.2.1-3              1.2.1-4
                           skk-jisyo           20170910-1           20180218-1
                            smplayer             18.2.0-1             18.2.2-1
                       speedtest-cli              1.0.7-1              2.0.0-1
                            sslsplit              0.5.1-1              0.5.2-1
                               stack            1.6.3.1-3            1.6.3.1-6
                              stubby              0.2.2-1              0.2.2-2
                      tamarin-prover             1.2.2-89             1.2.2-90
                          teamspeak3              3.1.8-2              3.1.8-3
                    telegram-desktop              1.2.8-1              1.2.8-2
                           uglify-js             3.3.11-1             3.3.12-1
                               v2ray                3.9-1               3.10-1
                              xmobar            0.24.5-26            0.24.5-27
                           flameshot                    -              0.5.0-4
                                kbfs                    -             1.0.44-1
                           lua-mpack                    -              1.0.7-2
                         lua52-mpack                    -              1.0.7-2


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-22           2018-02-23
-------------------------------------------------------------------------------
                          libsystemd             237.31-1             237.64-1
                            linux414            4.14.20-2            4.14.21-1
                    linux414-headers            4.14.20-2            4.14.21-1
                            linux415             4.15.4-2             4.15.5-1
                    linux415-headers             4.15.4-2             4.15.5-1
                      linux416 4.16.r180218.gc786427-2 4.16.r180223.g0f9da84-1
              linux416-headers 4.16.r180218.gc786427-2 4.16.r180223.g0f9da84-1
                             linux44            4.4.116-1            4.4.117-1
                     linux44-headers            4.4.116-1            4.4.117-1
                             linux49             4.9.82-1             4.9.83-1
                     linux49-headers             4.9.82-1             4.9.83-1
                     manjaro-release             17.1.5-1             17.1.6-1
                                mhwd              0.6.2-1              0.6.2-4
                             mhwd-db              0.6.2-3              0.6.2-4
                             systemd             237.31-1             237.64-1
                  systemd-sysvcompat             237.31-1             237.64-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-22           2018-02-23
-------------------------------------------------------------------------------
                              s-nail             14.9.6-1             14.9.7-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-22           2018-02-23
-------------------------------------------------------------------------------
                  linux414-acpi_call             1.1.0-18             1.1.0-19
                   linux414-bbswitch               0.8-18               0.8-19
                linux414-broadcom-wl      6.30.223.271-18      6.30.223.271-19
                linux414-ndiswrapper              1.61-18              1.61-19
                     linux414-nvidia           1:390.25-4           1:390.25-5
               linux414-nvidia-304xx         1:304.137-18         1:304.137-19
               linux414-nvidia-340xx            340.106-6            340.106-7
                   linux414-nvidiabl              0.88-18              0.88-19
                      linux414-r8168           8.045.08-6           8.045.08-7
                  linux414-rt3562sta        2.4.1.1_r4-18        2.4.1.1_r4-19
                        linux414-spl              0.7.5-8              0.7.5-9
                   linux414-tp_smapi              0.41-18              0.41-19
                linux414-vhba-module          20161009-18          20161009-19
   linux414-virtualbox-guest-modules              5.2.6-6              5.2.6-7
    linux414-virtualbox-host-modules              5.2.6-6              5.2.6-7
                        linux414-zfs              0.7.5-8              0.7.5-9
                  linux415-acpi_call              1.1.0-5              1.1.0-6
                   linux415-bbswitch                0.8-5                0.8-6
                linux415-broadcom-wl       6.30.223.271-5       6.30.223.271-6
                linux415-ndiswrapper               1.61-5               1.61-6
                     linux415-nvidia           1:390.25-6           1:390.25-7
               linux415-nvidia-304xx          1:304.137-5          1:304.137-6
               linux415-nvidia-340xx            340.106-5            340.106-6
                   linux415-nvidiabl               0.88-5               0.88-6
                      linux415-r8168           8.045.08-5           8.045.08-6
                        linux415-spl              0.7.5-5              0.7.5-6
                   linux415-tp_smapi               0.41-5               0.41-6
                linux415-vhba-module           20161009-5           20161009-6
   linux415-virtualbox-guest-modules              5.2.6-5              5.2.6-6
    linux415-virtualbox-host-modules              5.2.6-5              5.2.6-6
                        linux415-zfs              0.7.5-5              0.7.5-6
                  linux416-acpi_call              1.1.0-0            1.1.0-0.1
                   linux416-bbswitch                0.8-0              0.8-0.1
                linux416-broadcom-wl       6.30.223.271-0     6.30.223.271-0.1
                   linux416-catalyst      1:15.201.1151-0    1:15.201.1151-0.1
                linux416-ndiswrapper               1.61-0             1.61-0.1
                     linux416-nvidia           1:390.25-0         1:390.25-0.1
               linux416-nvidia-304xx          1:304.137-0        1:304.137-0.1
               linux416-nvidia-340xx            340.106-0          340.106-0.1
                   linux416-nvidiabl               0.88-0             0.88-0.1
                      linux416-r8168           8.045.08-0         8.045.08-0.1
                        linux416-spl              0.7.5-0            0.7.5-0.1
                   linux416-tp_smapi               0.41-0             0.41-0.1
                linux416-vhba-module           20161009-0         20161009-0.1
   linux416-virtualbox-guest-modules              5.2.6-0            5.2.6-0.1
    linux416-virtualbox-host-modules              5.2.6-0            5.2.6-0.1
                        linux416-zfs              0.7.5-0            0.7.5-0.1
                   linux44-acpi_call             1.1.0-83             1.1.0-84
                    linux44-bbswitch               0.8-83               0.8-84
                 linux44-broadcom-wl      6.30.223.271-53      6.30.223.271-54
                    linux44-catalyst     1:15.201.1151-83     1:15.201.1151-84
                 linux44-ndiswrapper              1.61-51              1.61-52
                      linux44-nvidia           1:390.25-2           1:390.25-3
                linux44-nvidia-304xx         1:304.137-18         1:304.137-19
                linux44-nvidia-340xx            340.106-5            340.106-6
                    linux44-nvidiabl              0.88-83              0.88-84
       linux44-open-vm-tools-modules      2:2013.09.16-83      2:2013.09.16-84
                       linux44-r8168           8.045.08-5           8.045.08-6
                   linux44-rt3562sta        2.4.1.1_r4-51        2.4.1.1_r4-52
                         linux44-spl              0.7.5-7              0.7.5-8
                    linux44-tp_smapi              0.41-83              0.41-84
                 linux44-vhba-module          20161009-51          20161009-52
    linux44-virtualbox-guest-modules              5.2.6-4              5.2.6-5
     linux44-virtualbox-host-modules              5.2.6-4              5.2.6-5
                         linux44-zfs              0.7.5-7              0.7.5-8
                   linux49-acpi_call             1.1.0-64             1.1.0-65
                    linux49-bbswitch               0.8-64               0.8-65
                 linux49-broadcom-wl      6.30.223.271-64      6.30.223.271-65
                    linux49-catalyst     1:15.201.1151-64     1:15.201.1151-65
                 linux49-ndiswrapper              1.61-62              1.61-63
                      linux49-nvidia           1:390.25-3           1:390.25-4
                linux49-nvidia-304xx         1:304.137-23         1:304.137-24
                linux49-nvidia-340xx            340.106-4            340.106-5
                    linux49-nvidiabl              0.88-64              0.88-65
                       linux49-r8168           8.045.08-4           8.045.08-5
                   linux49-rt3562sta        2.4.1.1_r4-62        2.4.1.1_r4-63
                         linux49-spl              0.7.5-6              0.7.5-7
                    linux49-tp_smapi              0.41-64              0.41-65
                 linux49-vhba-module          20161009-62          20161009-63
    linux49-virtualbox-guest-modules              5.2.6-4              5.2.6-5
     linux49-virtualbox-host-modules              5.2.6-4              5.2.6-5
                         linux49-zfs              0.7.5-6              0.7.5-7
                  nvidia-304xx-utils          1:304.137-4          1:304.137-5
                  nvidia-340xx-utils            340.106-2            340.106-3
                        nvidia-utils           1:390.25-2           1:390.25-3


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-22           2018-02-23
-------------------------------------------------------------------------------
                             enchant              2.2.1-1              2.2.3-1
                                gvim           8.0.1476-1           8.0.1531-1
                                htop              2.1.0-1              2.1.0-2
                         libblockdev               2.14-2               2.15-1
                         libbytesize                1.0-2                1.1-1
                               libuv             1.19.1-1             1.19.2-1
                           memcached              1.5.4-1              1.5.5-1
                 perl-image-exiftool              10.55-2              10.80-1
                        perl-xml-sax               0.99-5               1.00-1
                          phonon-qt4              4.9.1-5             4.10.0-1
                          phonon-qt5              4.9.1-5             4.10.0-1
                             postfix              3.2.5-1              3.3.0-1
              postgresql-old-upgrade              9.6.6-1              9.6.7-1
                        python-numpy             1.14.0-1             1.14.1-1
                          python-ply               3.10-1               3.11-1
                       python2-numpy             1.14.0-1             1.14.1-1
                         python2-ply               3.10-1               3.11-1
                         qt5-wayland             5.10.1-1             5.10.1-2
                                 vim           8.0.1476-1           8.0.1531-1
                         vim-runtime           8.0.1476-1           8.0.1531-1
                             wavpack              5.1.0-1              5.1.0-2
                      zita-resampler              1.6.0-1              1.6.0-2


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-22           2018-02-23
-------------------------------------------------------------------------------
                       lib32-systemd             237.31-1             237.64-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-22           2018-02-23
-------------------------------------------------------------------------------
                       lib32-wavpack              5.1.0-1              5.1.0-2
                      lib32-libevent                    -              2.1.8-1

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


[Testing Update] 2018-02-22 - MHWD, NVIDIA, Hybrid Graphic Setup
[Stable Update] 2018-02-25 - Kernels, Plasma, Mesa, Systemd, QT5, Browsers
[Stable Update] 2018-02-25 - Kernels, Plasma, Mesa, Systemd, QT5, Browsers
#2

Known issues and solutions

This is a wiki post; please edit as necessary.


zita-resampler 1.6.0-1 -> 2 update requires manual intervention

The zita-resampler 1.6.0-1 package was missing a library symlink that has been readded in 1.6.0-2. If you installed 1.6.0-1, ldconfig would have created this symlink at install time, and it will conflict with the one included in 1.6.0-2. In that case, remove /usr/lib/libzita-resampler.so.1 manually before updating.


My mouse is jittering like hell!

Seems the new libinput update created some issues with some touchpads. If our new kernel updates don’t solve the issue for you, you may think about downgrading libinput instead, until upstream found a proper solution for you:

sudo pacman -U https://archive.archlinux.org/packages/l/libinput/libinput-1.9.4-1-x86_64.pkg.tar.xz

xorgproto, libxfont, can’t remove… what?

Refresh your mirrors and try the update again. This package conflict should be resolved.

Otherwise, say Yes to replace all the “proto” packages with xorgproto. If it wants to remove any packages, STOP, and run

sudo pacman-mirrors -f 3
sudo pacman -Syyu

KDE Global Menu on all my windows

Check System Settings -> Application Style -> Window Decorations -> Buttons.

Make sure global menu widget is removed from the Titlebar, for some reason it was added in 5.12 when the global menu setting option was removed.


KDE remove green separator line between Titlebar and Window

System Settings>Application Style>Window Decorations>Breeze>Settings Icon
Turn off “Draw separator …”


On KDE my external drives don’t get automounted when I plugged them in

As a workaround put into the KDE/Plasma autostart the program udiskie (just plain like that), after you had installed it. A re-login may be needed to get it active. As alternative start it manually for your current session.


My system won’t boot anymore after this update

Most likely you are using a freetype2 package from the AUR. Due the harfbuzz update, your system is broken. So either install the official supported freetype2 package from our repositories or downgrade to harfbuzz v1.7.4: sudo pacman -U https://archive.archlinux.org/packages/h/harfbuzz/harfbuzz-1.7.4-1-x86_64.pkg.tar.xz

You might try also try Freetype2-ultimate5 — fonts like in Infinality's ultimate5 which is a maintained package.


I get “error: command failed to execute correctly” during a GRUB update

Run sudo update-grub once more to ensure the command has worked correctly.


GNOME shell crashes

It’s probably an issue with an extension which needs to be updated. Disable them in turn until you find the one responsible.

If it’s when inserting USB drives, disable “Places Status Indicator”.


Font-Shadow issue within XFCE

Switch to another theme (e.g. Arc Maia), or execute the following cmd to fix the issue:

xfconf-query -c xfce4-desktop -p /desktop-icons/center-text -n -t bool -s false

This fixes the issue properly. (Can follow the links from Ask-Ubuntu #801478 to what exists for the xfce documentation.)

After the command is run the entry <property name="center-text" type="bool" value="false"/> is created under “desktop-icons” in /home/[user]/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml.


Firefox 58 won’t open

Please check this thread:


I don’t see any updates

That’s because your mirror is out of date. It can take several hours before a mirror get updated. If you want updates right now, run these commands :

sudo pacman-mirrors -f 3
sudo pacman -Syyu

You can always check the state of every mirrors here.


I get a black screen on boot or something doesn’t work

That’s probably because you have a partial set of updated packages. Switch to a text console using CTRL+ALT+F2, log in, then run the commands above.


An AUR package is stopping the update because of a conflict

Remove the AUR package, update, then reinstall the AUR package.


An AUR package says a key is invalid

You need to add the key to your keychain. Do a search of the forum, the answer has already been posted (several times :wink:).



/usr/lib/libzita-resampler.so.1 already exist in files system
Problems updating
USB stick Malformed URL and already mounted
#3

Hi, I get a message related to zita-resampler
Bildschirmfoto%20vom%202018-02-23%2022-14-01
which stops the update for me - removing zita-resampler would pretty much remove halve the system though.


#4

In the list above it says:
linux414-rt-nvidia 1:390.25-3 1:390.25-4
In Pamac I see 1:390.25-5
Has it been changed since the list was made or is it just a typo?


#5

I can confirm this, I got the same as you did. Update process stopped.


#6

Note added to the troubleshoot guidelines.


#7

Just deleting the exact file
/usr/lib/libzita-resampler.so.1
did the trick for me on Unstable.

To be on the safe side do:
$ sudo mv /usr/lib/libzita-resampler.so.1 /usr/lib/libzita-resampler.so.1.old


Seems good on my end at the first sight and wohooo boot time is incredible fast!

Kernel 4.15 + Nvidia card; Xfce


#8

Also deleted the mentioned file , and the update went ok i thought. But then i could not start Inox anymore and some keyboard shortcuts stopped working. Reinstalling Inox solved the first problem, and just going through the keyboard shortcuts (weird enough, without changing anything) solved the second problem.


#9

Performed the zita-resampler fix and then Updated with no errors.

Thank You Manjaro Team!


#10

…done, otherwise flawless.
cheers


#11

Likewise performed the zita-resampler fix and updated without any further errors. Seems the machine is faster on boot with the update. Thanks to the team for all the great work.
Later-updated kernel from 4.14-21 to 4.15.5-1 machine is quicker on plus CPU usage may be a little lower.


#12

pacman -Qo would report the file is not owned by a package, so unless you put it there it’s safe to remove.


But how nice is it having more people running testing? This issue was spotted early and can go in the Known Issues post for the next stable update from the very start. :+1:


#13

I just ran

sudo pacman -S zita-resampler --force

Then updated as normal.


#14

Updated worked flawlessly after deleting the Zita Resampler file :smiley:


#15

i also got the Zita Resampler file issue.

Failed to commit transaction:
conflicting files: zita-resampler: /usr/lib/libzita-resampler.so.1 already exists in filesystem
so did
sudo pacman -S zita-resampler --force
then ran installer again.
and all installed ok.


#16

Smooth update. It may just be confirmation bias but the nvidia changes seem to have done good things to my system, less momentary artefacts and slight glitches?

Thanks to all the contributors. :sparkles:


#17

Tower’s VM KDE Testing:

  1. Successful & uneventful update once removed /usr/lib/libzita-resampler.so.1 manually at beginning.
  2. Post-reboot, can still Switch Users successfully.
  3. Post-reboot, my secondary user’s desktops/Activities were all messed up; my carefully organised discrete pgm windows on discrete Activities were now all windows present on all Activities, grrr.
  4. Post-reboot, cpu usage unnaturally high due to kwin_x11 & plasmashell. Logout/in partially alleviated, but they’re still too high IMO. Kernel 4.15.5-1.
    4.1 KSysGuard after 1st login: https://s14.postimg.org/460j4vi7l/20180224_004.png
    4.2 KSysGuard after 2nd login: https://s14.postimg.org/jsrshwo69/20180224_005.png
    4.3 Primary User full desktop > 2nd login: https://s14.postimg.org/fwegm45td/20180224_006.png
    4.4 Secondary User full desktop > 2nd login: https://s14.postimg.org/47agy920x/20180224_007.png

.
Lappy’s REAL KDE Testing:

  1. Successful & uneventful update once removed /usr/lib/libzita-resampler.so.1 manually at beginning.
  2. Post-reboot, can still Switch Users successfully [albeit weirdly, my S/U shortcut in Application Menu’s Favourites had vanished & needed to be re-added].
  3. Post-reboot, cpu usage remains happily very low at idle [ie, no kwin_x11 & plasmashell aberrations like in the VM]. Kernel 4.15.5-1.

#18

On my main computer
A. Didn’t check if still present or fixed
1. Adding my printer (Canon Pixma MG4120) by automatic detection without workaround;

However, since I didn’t see any updates that would be related to printing at all, I assume it’s still present, but I might be wrong.

B. New issue

Nothing new so far

I skipped Testing 2018-02-22 updates. Therefore, I directly updated zita-resampler from 1.3.0-5 to 1.6.0-2 and I didn’t have to do any manual intervention before updating my system.

Manjaro Cinnamon
Kernel 4.14 (using kernel-alive)
Did the update with Pamac

Intel i5-6400
Nvidia Geforce GTX 970


#19

Except the Zita Resampler issue, all is good


#20

I think you’re right. These interim nvidia releases are getting closer to getting all the performance issues fixed. :slight_smile: